<%@ Page Title="" Language="C#" EnableViewState="false"  MasterPageFile="simple.master" AutoEventWireup="true" CodeBehind="Kbase_view.aspx.cs" Inherits="helpdesk.helpdesk.Kbase_view" %>
 
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">


     <style>

        
        .cat a {
         display:inline-block; margin-bottom:10px; margin-left:15px;
        }

        a.level0 { color:#2b2727; font-size:13px; display:block; font-family:微软雅黑;
                    margin-top:20px;

        }

    </style>


    <div style="margin:20px; font-size:13px; " class="cat">


      <ul class="breadcrumb" style="padding-top:20px;">
          <li><a href=kbase_article_list.aspx>快速入口</a></li>
            <asp:Literal runat="server" ID="breadcss"></asp:Literal>

          <li>
              <span id="kb_title2"></span>
          </li>
   </ul>



 <div style=" min-height:800px; margin-left:50px; margin-top:40px; width:1000px;">

    <asp:FormView ID="FormView1" runat="server" Font-Names="Arial">
    <ItemTemplate>
    <div style=" font-size:14px; font-weight:bold; color:red; text-align:center; width:800px">
   <span id="kb_title"> <%#Eval("title") %></span>
    </div>
    
    <div style=" margin:15px; color:Gray; background-color:#ffff99; padding:20px">
    
   建立时间:<%#DateTime.Parse(Eval("createdate").ToString()).ToString("yyyy-MM-dd") %> 
   &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    最后更新:<%#DateTime.Parse(Eval("updatedate").ToString()).ToString("yyyy-MM-dd")%>   
    &nbsp;&nbsp;&nbsp;&nbsp;更新次数:<%#Eval("updatetime") %> 
      &nbsp;&nbsp;&nbsp;&nbsp;   查看人数:<%#Eval("click") %>
          &nbsp;&nbsp;&nbsp;&nbsp; 关键字:<%#Eval("keyword") %>
    </div>
    
      
    
    
    <div style="margin-left:15px;">
     <%#Eval("contents") %>
    </div>






          
    <div style=" width:1000px; margin-top:50px;  padding-left:600px">
     
        
            <div class="prop">
 本文对您有作用吗？
    <a href="#" onclick="clicks(<%#Eval("id") %>,'good');return false;">有作用(<span id="good"><%#Eval("good")%></span>)</a>

     <a href="#" onclick="clicks(<%#Eval("id") %>,'bad');return false;">无作用(<span id="bad"><%#Eval("bad")%></span>)</a>          
        </div>
        
         
       
</div>






    </ItemTemplate>
    </asp:FormView>
  


</div>


        </div>


    <input type="hidden" id="hf_rem" value="-10" />

    <script>
        $("#kb_title2").html($("#kb_title").html());

        if ($("#good").html() == "")
        {
            $("#good").html("0")
        }

        if ($("#bad").html() == "") {
            $("#bad").html("0")
        }






        function clicks(id, types) {
            var _cookie = $("#hf_rem").val();

            if (id == _cookie) {
                alert("无法重复点击,或者不能同时点击有用与无用");
                return;
            }

            if (types == "good") {
                var s = $("#good").html();
                s = parseInt(s) + 1;
                $("#good").html(s);


            }
            else {

                var s = $("#bad").html();
                s = parseInt(s) + 1;
                $("#bad").html(s);

            }
            $("#hf_rem").val(id);

            $.get("zan.aspx?id=" + id + "&types=" + types + "&t=" + Math.random());
        }


    </script>
</asp:Content>
